Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81681 - bad source code
Summary: bad source code
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ggv
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-12 18:39 UTC by d.binderman
Modified: 2013-04-02 04:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 23:05:34 UTC


Attachments (Terms of Use)

Description d.binderman 2003-01-12 18:39:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I just tried to compile package ggv-1.99.9-4 from Redhat 8.0

The compiler said

ggv-postscript-view.c:339: warning: `return' with no value, in function returning non-void

Here is an untested patch to shut up the compiler

*** ./bonobo/ggv-postscript-view.c.old	2003-01-05 11:14:31.000000000 +0000
--- ./bonobo/ggv-postscript-view.c	2003-01-05 11:15:20.000000000 +0000
***************
*** 336,342 ****
  	if((fd = mkstemp(ps_view->priv->tmp_name)) < 0) {
  		g_free(ps_view->priv->tmp_name),
  		ps_view->priv->tmp_name = NULL;
! 		return;
  	}
  	tmpfile = fdopen(fd, "w");
  	if(!tmpfile) {
--- 336,342 ----
  	if((fd = mkstemp(ps_view->priv->tmp_name)) < 0) {
  		g_free(ps_view->priv->tmp_name),
  		ps_view->priv->tmp_name = NULL;
! 		return NULL;
  	}
  	tmpfile = fdopen(fd, "w");
  	if(!tmpfile) {

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile with usual C compiler.
2.
3.
    

Additional info

Comment 1 Jonathan Blandford 2003-01-15 23:05:34 UTC
Fixed upstream.  Next time we pull a newer version in, we'll fix it.  mkstemp
almost never fails so this is a low priority.


Note You need to log in before you can comment on or make changes to this bug.